{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Problem 025</title>
</head>

<body>
  <main>
    <!--
      In this one, we're constructing a table. Pay
      attention to all of it because pieces will
      disappear over the next couple of problems.

      Now, you need to add the for loop, the table
      row (tr) tag, and the table data (td) tags
      for each row.

      This context has a list of Person objects stored
      in the "people" key.
    -->
    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Age</th>
          <th>Pronouns</th>
        </tr>
      </thead>
      <tbody>
        <!-- for each person in people -->
        {% for person in people %}
        <!-- Just the table row open tag -->
        <tr>
          <td>{{ person.name }}</td>
          <td>{{ person.age }}</td>
          <td>{{ person.pronouns }}</td>
        </tr>
        <!-- The table data tag with the person.name in it -->
        <!-- <td>{{ person.name }}</td> -->
        {% endfor %}
        <!-- The table data tag with the person.age in it -->

        <!-- The table data tag with the person.pronouns in it -->

        <!-- Just the table row close tag -->

        <!-- end for -->

      </tbody>
    </table>
  </main>
</body>

</html>
